PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Fields
cy_kernel_context_t Struct Reference

## Data Fields
void * | nnliteMutex
void * | nnliteSem
| Mutex to be allocated in RTOS environment.
Cy_NNLite_CompletionCallback | completionCbFunc
| Semaphore to be allocated in RTOS environment. More...
Cy_NNLite_CompletionCallback | suspendedCbFunc
| Kernel completion callback suspended during execution of internal ops of multi-op kernel.
void * | cbArg
| argument with which callback function will be called
Cy_NNLite_MutexCreate | mutexCreateFunc
| Mutex Create function pointer.
Cy_NNLite_MutexDelete | mutexDeleteFunc
| Mutex Delete function pointer.
Cy_NNLite_MutexLock | mutexLockFunc
| Mutex Lock function pointer.
Cy_NNLite_MutexUnlock | mutexUnlockFunc
| Mutex Unlock function pointer.
Cy_NNLite_SemCreate | SemCreateFunc
| Sem Create function pointer.
Cy_NNLite_SemDelete | SemDeleteFunc
| Sem Delete function pointer.
Cy_NNLite_SemWait | SemWaitFunc
| Sem wait function pointer.
Cy_NNLite_SemGive | SemGiveFunc
| Sem give function pointer.
Cy_NNLite_LpmLock | LpmLockFunc
| LPM lock function pointer.
Cy_NNLite_LpmUnlock | LpmUnlockFunc
| LPM unlock function pointer.
Cy_NNLite_ProfileStart | profStart
| profiler start
Cy_NNLite_ProfileGetCount | profGetCount
| get count intermediate profile points
Cy_NNLite_ProfileStop | profStop
| profiler end
void * | profArg
| argument with which profiler callback functions will be called
cy_nnlite_context_t | pdlContext
| nnlite pdl context structure
bool | waitForCompletion
| Semaphore to be allocated in RTOS environment. More...

## Field Documentation

## ◆ nnliteMutex

void * cy_kernel_context_t::nnliteMutex

## ◆ nnliteSem

void * cy_kernel_context_t::nnliteSem

Mutex to be allocated in RTOS environment.

## ◆ completionCbFunc

Cy_NNLite_CompletionCallback cy_kernel_context_t::completionCbFunc

Semaphore to be allocated in RTOS environment.

Kernel completion called back function, to filled by upper layer, should not have/call blocking implementation.

Kernel completion called back function, to filled by upper layer, should not have/call blocking implementation

## ◆ suspendedCbFunc

Cy_NNLite_CompletionCallback cy_kernel_context_t::suspendedCbFunc

Kernel completion callback suspended during execution of internal ops of multi-op kernel.

## ◆ cbArg

void * cy_kernel_context_t::cbArg

argument with which callback function will be called

## ◆ mutexCreateFunc

Cy_NNLite_MutexCreate cy_kernel_context_t::mutexCreateFunc

Mutex Create function pointer.

## ◆ mutexDeleteFunc

Cy_NNLite_MutexDelete cy_kernel_context_t::mutexDeleteFunc

Mutex Delete function pointer.

## ◆ mutexLockFunc

Cy_NNLite_MutexLock cy_kernel_context_t::mutexLockFunc

Mutex Lock function pointer.

## ◆ mutexUnlockFunc

Cy_NNLite_MutexUnlock cy_kernel_context_t::mutexUnlockFunc

Mutex Unlock function pointer.

## ◆ SemCreateFunc

Cy_NNLite_SemCreate cy_kernel_context_t::SemCreateFunc

Sem Create function pointer.

## ◆ SemDeleteFunc

Cy_NNLite_SemDelete cy_kernel_context_t::SemDeleteFunc

Sem Delete function pointer.

## ◆ SemWaitFunc

Cy_NNLite_SemWait cy_kernel_context_t::SemWaitFunc

Sem wait function pointer.

## ◆ SemGiveFunc

Cy_NNLite_SemGive cy_kernel_context_t::SemGiveFunc

Sem give function pointer.

## ◆ LpmLockFunc

Cy_NNLite_LpmLock cy_kernel_context_t::LpmLockFunc

LPM lock function pointer.

## ◆ LpmUnlockFunc

Cy_NNLite_LpmUnlock cy_kernel_context_t::LpmUnlockFunc

LPM unlock function pointer.

## ◆ profStart

Cy_NNLite_ProfileStart cy_kernel_context_t::profStart

profiler start

## ◆ profGetCount

Cy_NNLite_ProfileGetCount cy_kernel_context_t::profGetCount

get count intermediate profile points

## ◆ profStop

Cy_NNLite_ProfileStop cy_kernel_context_t::profStop

profiler end

## ◆ profArg

void * cy_kernel_context_t::profArg

argument with which profiler callback functions will be called

## ◆ pdlContext

cy_nnlite_context_t cy_kernel_context_t::pdlContext

nnlite pdl context structure

## ◆ waitForCompletion

bool cy_kernel_context_t::waitForCompletion

Semaphore to be allocated in RTOS environment.

this flag is used by kernel for intermediate operations where we need to wait for completion